#!/bin/ruby

$pattern = ["*.cpp", "*.c"]

$vfp_obj_black_list = ["make_gl.obj"]
$make_gl_obj_black_list = ["mc.obj", "frame.obj", "out_buffer.obj"]

def getDependFile(f)
    r = Array.new

    IO.foreach(f) do |line|
        if (line =~ /\#include\s*\"/) then
            part = line.split('"');
            r |= [part[1]]
            tmp = getDependFile(part[1])
            if tmp != nil then
                r |= tmp
            end
        end
    end

    return r
end

def changeSuffix(f, sfx)
    part = f.split('.')
    s = part.last
    return File.basename(f, s) + sfx
end

def getObject(f)
    return changeSuffix(f, "obj")
end


def checkBlackList(path, list)
    list.each do |trg|
        if (trg == path) then
            return true                
        end
    end
    return false    
end

obj = Array.new
    
$pattern.each do |pat|

    Dir.glob(pat) do |f|
        a = getDependFile(f)
        obj.push(getObject(f))
        printf "%s: ", getObject(f)
        printf "%s ", f
        a.each do |dep|
            printf "%s ", dep
        end
        printf "\n"
        printf "\t%s\n", '$(CC) $(CFLAG) ' + f
        printf "\n"
    end

end

Dir.glob("*.asm") do |f|
    printf "%s: ", getObject(f)
    printf "%s\n", f
    printf "\t%s\n\n", '$(ASM) $(AFLAG) ' + f
end

printf "OBJ = "
obj.each do |f|
    if checkBlackList(f, $vfp_obj_black_list) then
        next
    end
    printf "%s ", f
end
printf "\n\n"

printf "AOBJ = "
Dir.glob("*.asm") do |f|
    printf "%s ", getObject(f)
end
printf "\n\n"

def make_obj_list(db, parent)
    db.push(getObject(parent))
    a = getDependFile(parent)
    a.each do |f|
        o = changeSuffix(f, "obj")
        if (db.find_index(o) != nil) then
            next
        end
        m = changeSuffix(f, "c")
        if FileTest.exist?(m) then
            make_obj_list(db, m)
        end
        m = changeSuffix(f, "cpp")
        if FileTest.exist?(m) then
            make_obj_list(db, m)
        end
    end
    return db
end

gl_obj = Array.new
gl_obj = make_obj_list(gl_obj, "make_gl.c")
printf "GL_OBJ = "
gl_obj.each do |f|
    if checkBlackList(f, $make_gl_obj_black_list) then
        next
    end
    printf "%s ", f
end
printf "\n\n"

